/* ==========================
   Imports
========================== */

@import url("variables.css");
@import url("typography.css");
@import url("header.css");
@import url("hero.css");
@import url("footer.css");


/* ==========================
   Reset
========================== */

*,
*::before,
*::after{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{
    background:var(--clr-bg);
    color:var(--clr-text);
    font-family:var(--font-body);
    overflow-x:hidden;
}


/* ==========================
   Images
========================== */

img{
    max-width:100%;
    display:block;
}


/* ==========================
   Links
========================== */

a{
    color:inherit;
    text-decoration:none;
}


/* ==========================
   Lists
========================== */

ul{
    list-style:none;
}


/* ==========================
   Layout
========================== */

.container{
    width:min(var(--container), 90%);
    margin-inline:auto;
}


/* ==========================
   Sections
========================== */

section{
    padding:var(--space-xl) 0;
}